## ros-melodic-agni-tf-tools 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(agni_tf_tools)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  rviz
  tf2_geometry_msgs
  tf2_ros
)

message(STATUS "Using Qt ${rviz_QT_VERSION}")
find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
set(QT_LIBRARIES Qt5::Widgets)
find_package(Eigen3 REQUIRED)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS program_options)

include_directories(${EIGEN3_INCLUDE_DIRS} ${BOOST_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES agni_tf_tools
#  CATKIN_DEPENDS tf2_geometry_msgs
#  DEPENDS system_lib
)

## QT stuff
# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

add_subdirectory(src)

install(FILES
  plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-agni-tf-tools (0.1.5-1stretch) stretch; urgency=high

  * Replace string-based SIGNALs with function pointers
  * Always show marker type property
  * EulerProperty: use QDoubleSpinBoxes (allowing animated motion)
  * Display: Fix several issues with frame updates
    * Always consider return value of fillPoseStamped() and don't publish on failure
    * On failure, register to TF changes to retry later
    * Finish tf2 transition: use tf2::BufferCore instead of tf::Transformer
  * Handle multiple TransformBroadcasters in the same ROS node.
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 14 Apr 2020 22:00:00 -0000

ros-melodic-agni-tf-tools (0.1.4-1stretch) stretch; urgency=high

  * migration to tf2
  * modernize code
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 26 Mar 2020 23:00:00 -0000

ros-melodic-agni-tf-tools (0.1.3-1stretch) stretch; urgency=high

  * remove superfluous marker_node_
  * avoid spurious tf messages when display was saved in disabled state
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 26 Mar 2020 23:00:00 -0000

ros-melodic-agni-tf-tools (0.1.2-1stretch) stretch; urgency=high

  * fix compiler warnings
  * cmake: cleanup, correctly announce exported lib
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-agni-tf-tools (0.1.1-1stretch) stretch; urgency=high

  * install header files for rviz properties
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 29 Oct 2018 23:00:00 -0000

## ros-melodic-agni-tf-tools 0.1.6

=== debian/changelog ===
ros-melodic-agni-tf-tools (0.1.6-1bionic) bionic; urgency=high

  * Remove setStatus() variants
  * Cancel TF request if not needed anymore
  * Fix issue when publishing an unknown parent transform
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 13 Jul 2021 22:00:00 -0000

ros-melodic-agni-tf-tools (0.1.5-1bionic) bionic; urgency=high

  * Replace string-based SIGNALs with function pointers
  * Always show marker type property
  * EulerProperty: use QDoubleSpinBoxes (allowing animated motion)
  * Display: Fix several issues with frame updates
    * Always consider return value of fillPoseStamped() and don't publish on failure
    * On failure, register to TF changes to retry later
    * Finish tf2 transition: use tf2::BufferCore instead of tf::Transformer
  * Handle multiple TransformBroadcasters in the same ROS node.
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 14 Apr 2020 22:00:00 -0000

ros-melodic-agni-tf-tools (0.1.4-1bionic) bionic; urgency=high

  * migration to tf2
  * modernize code
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 26 Mar 2020 23:00:00 -0000

ros-melodic-agni-tf-tools (0.1.3-1bionic) bionic; urgency=high

  * remove superfluous marker_node_
  * avoid spurious tf messages when display was saved in disabled state
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 26 Mar 2020 23:00:00 -0000

ros-melodic-agni-tf-tools (0.1.2-1bionic) bionic; urgency=high

  * fix compiler warnings
  * cmake: cleanup, correctly announce exported lib
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-agni-tf-tools (0.1.1-1bionic) bionic; urgency=high

  * install header files for rviz properties
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 29 Oct 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-agni-tf-tools
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-rviz, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: http://wiki.ros.org/agni_tf_tools
Standards-Version: 3.9.2

Package: ros-melodic-agni-tf-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp, ros-melodic-rviz, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: This package provides a gui program as well as a rviz plugin to publish static transforms.
 Both support the transformation between various Euler angle representations. The rviz plugin also allows to configure the transform with an interactive marker.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-agni-tf-tools//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
